com.fasterxml.jackson.dataformat.avro.deser

## Class AvroFieldWrapper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroFieldWrapper

-     public final class AvroFieldWrapper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_name`
    `protected AvroScalarReader` | `_scalarReader`
    `protected AvroStructureReader` | `_structureReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroFieldWrapper(String name, AvroScalarReader scalarReader)`
    `AvroFieldWrapper(String name, AvroStructureReader structureReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `com.fasterxml.jackson.core.JsonToken` | `readValue(AvroReadContext parent, AvroParserImpl parser, org.apache.avro.io.BinaryDecoder decoder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _scalarReader

          protected final AvroScalarReader _scalarReader

    - #### _structureReader

          protected final AvroStructureReader _structureReader

  - ### Constructor Detail

    - #### AvroFieldWrapper

          public AvroFieldWrapper(String name,
                          AvroScalarReader scalarReader)

    - #### AvroFieldWrapper

          public AvroFieldWrapper(String name,
                          AvroStructureReader structureReader)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### readValue

          public com.fasterxml.jackson.core.JsonToken readValue(AvroReadContext parent,
                                                       AvroParserImpl parser,
                                                       org.apache.avro.io.BinaryDecoder decoder)
                                                         throws IOException

      Throws:
        `IOException`

Copyright © 2016 FasterXML. All rights reserved.